www.cendio.com
Bug 4348 - Unhandled Python exception from the installer on a RHEL 5.5 64bit system.
: Unhandled Python exception from the installer on a RHEL 5.5 64bit system.
Status: CLOSED FIXED
: ThinLinc
Server Installer
: 3.4.0
: PC Unknown
: P2 Normal
: 4.0.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2012-06-20 13:06 by
Modified: 2012-11-28 12:36 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2012-06-20 13:06:18
os.EX_NOTFOUND attribute is not found in os.

see issue in tracker:

http://intranet.lkpg.cendio.se/tracker/issue13433

http://intranet.lkpg.cendio.se/tracker/file7757/thinlinc-install.log
------- Comment #1 From cendio 2012-07-13 13:23:50 -------
From http://docs.python.org/library/os.html:

"Note: Some of these [exit code definitions] may not be available on all Unix
platforms, since there is some variation. These constants are defined where
they are defined by the underlying platform."

We should stop using os.EX_NOTFOUND (possibly even os.EX_*) in our code.
------- Comment #2 From cendio 2012-07-13 15:26:47 -------
EX_NOTFOUND is not defined on any of our supported platforms. In fact I can't
find any mention of it at all, except for a handful of oblique references to
POSIX.2 (from 1998). We should stop using this.

As far as I can tell, all the other EX_*s seem to be okay.
------- Comment #3 From cendio 2012-07-13 15:44:54 -------
Fixed in r24592
------- Comment #4 From cendio 2012-10-10 14:41:39 -------
Installation on "RHEL 5" went just fine. (It was actually CentOS 5, but it
didn't have os.EX_NOTFOUND anyway)

The actual commit is r25492 and not r24592, though. The commit message for
25492 references this bug.